Name:		libkeepalive
Version:	0.3
Release:	2%{?dist}
Summary:	Enable TCP keepalive in dynamic binaries
URL:		http://libkeepalive.sourceforge.net/

BuildRequires:	gcc
BuildRequires:	git

License:	MIT
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Patch1:		0001-Add-vim-modelines-to-source-files.patch
Patch2:		0002-test-test.c-Whitespace-cleanup.patch
Patch3:		0003-test-Implement-self-test-functionality.patch
Patch4:		0004-Makefile-Make-self-test-accessible-by-make-test.patch
Patch5:		0005-Makefile-Allow-setting-custom-compiler-flags.patch

%description
libkeepalive is a library that enables tcp keepalive features in glibc based
binary dynamic executables, without any change in the original program.

%prep
%autosetup -S git

%build
export CFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags}"
%make_build

%check
make test

%install
# install the file in src not topdir - the latter is stripped already
install -p -m 0755 -D src/libkeepalive.so %{buildroot}%{_libdir}/libkeepalive.so

%files
%doc LICENSE README
%{_libdir}/libkeepalive.so

%changelog
* Fri Nov 25 2016 Phil Sutter <psutter@redhat.com> - 0.3-2
- Add missing build requirement: gcc.
- Add source code patches to facilitate following changes.
- Patches managed in git, so add git as another build requirement.
- Respect build system compiler flags.
- Use %make_build instead of plain make in %build.
- Add %check target which performs unattended runtime test.
- Use -D install flag instead of manual mkdir.

* Thu Nov 17 2016 Phil Sutter <psutter@redhat.com> - 0.3-1
- Initial packaging.

